package cn.estsh.i3plus.pojo.wms.modelbean;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description : AGV接口Model
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2020-09-10 20:21
 * @Modify:
 **/
@Data
@Api("AGV接口Model")
public class WmsAgvModel {

    @ApiParam(value = "任务ID")
    private String taskId;

    @ApiParam(value = "源库位")
    private String srcLocateNo;

    @ApiParam(value = "目标库位")
    private String destLocateNo;

    @ApiParam(value = "物料编号")
    private String partNo;

    @ApiParam(value = "物料名称")
    private String partName;

    @ApiParam(value = "需求数量")
    private Double qty;

    @ApiParam(value = "工厂代码")
    private String organizeCode;

    @ApiParam(value = "物料编号集合")
    private List<String> partNoList;

    @ApiParam(value = "目标库位编号集合")
    private List<String> destLocateNoList;

}
